MsWks4PLCInternal::PLC Struct Reference

Internal and low level: the PLC different types and their structures. More...

## Public Types

enum | Position { P_ABS =0 , P_REL , P_INCR , P_UNKNOWN }
| the way to define the text positions More...
enum | Type { T_CST =0 , T_STRUCT , T_UNKNOWN }
| the type of the content More...
typedef enum MsWks4TextInternal::PLCType | PLCType
| the PLC types

## Public Member Functions

| PLC (PLCType w=MsWks4TextInternal::Unknown, Position p=P_UNKNOWN, Type t=T_UNKNOWN)
| constructor

## Public Attributes

PLCType | m_type
| PLC type.
Position | m_pos
| the way to define the text positions
Type | m_contentType
| the type of the content

## Detailed Description

Internal and low level: the PLC different types and their structures.

## Member Typedef Documentation

## PLCType

typedef enum MsWks4TextInternal::PLCType MsWks4PLCInternal::PLC::PLCType

the PLC types

## Member Enumeration Documentation

## Position

enum MsWks4PLCInternal::PLC::Position

the way to define the text positions

- P_ABS: absolute position,
- P_REL: position are relative to the beginning text offset,
- P_INCR: position are the length of text consecutive zones

Enumerator
P_ABS |
P_REL |
P_INCR |
P_UNKNOWN |

## Type

enum MsWks4PLCInternal::PLC::Type

the type of the content

- T_CST: size is constant
- T_STRUCT: a structured type ( which unknown size)

Enumerator
T_CST |
T_STRUCT |
T_UNKNOWN |

## Constructor & Destructor Documentation

## PLC()

MsWks4PLCInternal::PLC::PLC | ( | PLCType | w = MsWks4TextInternal::Unknown,
|  | Position | p = P_UNKNOWN,
|  | Type | t = T_UNKNOWN )

inline explicit

constructor

## Member Data Documentation

## m_contentType

Type MsWks4PLCInternal::PLC::m_contentType

the type of the content

Referenced by PLC().

## m_pos

Position MsWks4PLCInternal::PLC::m_pos

the way to define the text positions

Referenced by PLC().

## m_type

PLCType MsWks4PLCInternal::PLC::m_type

PLC type.

Referenced by PLC().

The documentation for this struct was generated from the following file:

- MsWks4Text.cxx